summaryrefslogtreecommitdiff
path: root/debian/ifplugd.action
diff options
context:
space:
mode:
Diffstat (limited to 'debian/ifplugd.action')
-rw-r--r--debian/ifplugd.action30
1 files changed, 30 insertions, 0 deletions
diff --git a/debian/ifplugd.action b/debian/ifplugd.action
new file mode 100644
index 0000000..3619237
--- /dev/null
+++ b/debian/ifplugd.action
@@ -0,0 +1,30 @@
+#!/bin/sh
+# $Id: ifplugd.action 43 2003-09-13 11:25:11Z lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+set -e
+
+case "$2" in
+up|down)
+ run-parts --arg="$1" --arg="$2" /etc/ifplugd/action.d/
+ ;;
+*)
+ echo "ifplugd.action: Incorrect action argument" >&2
+ exit 1
+ ;;
+esac